Get Address Screening Status
curl --request GET \
--url https://api.beta.getpara.com/v1/address-screening/status \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.beta.getpara.com/v1/address-screening/status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.beta.getpara.com/v1/address-screening/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "0x000000000000000000000000000000000000dEaD",
"isSanctioned": false
}{
"code": "INVALID_REQUEST",
"message": "type must be one of EVM, SOLANA, COSMOS, STELLAR"
}{
"code": "UNAUTHORIZED",
"message": "secret api key not provided"
}{
"code": "ADDRESS_SCREENING_UNAVAILABLE",
"message": "Address screening is unavailable"
}{
"code": "RATE_LIMITED",
"message": "Rate limit exceeded, try again shortly."
}{
"code": "INTERNAL_ERROR",
"message": "Internal Server Error"
}Screening
Get Address Screening Status
Check whether an address is sanctioned.
GET
/
v1
/
address-screening
/
status
Get Address Screening Status
Authorizations
Your partner secret key (server-side only)
Headers
UUID for request tracing. Para returns one if omitted.
Query Parameters
Address to screen.
Example:
"0x000000000000000000000000000000000000dEaD"
⌘I